### Method

# GLib Date valid

#### Declaration

    gboolean
    g_date_valid (
      const GDate* date
    )

#### Description

Returns `TRUE` if the `GDate` represents an existing day. The date must not contain garbage; it should have been initialized with `g_date_clear()` if it wasn’t allocated by one of the `g_date_new()` variants.

#### Return value

Type: `gboolean`

Whether the date is valid.